/* --- HEADER --- */

header {
    box-shadow: 0px 4px 10px #8A2033;
    width: 100%;
    position: fixed;
    z-index: 900;
    background-color: rgba(0, 0, 0, 0.5);
}

.top {
    display: flex;
    background-color: #8A2033;
    height: 45px;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}

.top h1 {
    font-family: Roboto;
    font-size: 18px;
    color: rgba(255, 255, 255, 0.65);
    margin: 0;
}

.top .toggle-btn {
    height: 20px;
    width: 20px;
}

/* --- MENU MOBILE --- */

nav {
    width: 150px;
    background-color: #8A2033;
    height: 100vh;
    position: absolute;
    z-index: 1000;
    opacity: 0;
    transition: transform 1s, opacity 1s;
    transform: translateX(-100%);
}
nav ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
nav ul li {
    padding-top: 20px;
}

nav ul li a {
    text-decoration: none;
    color: #FFF;
    font-family: Roboto;
    cursor: pointer;
    margin-left: 15px;
}
nav ul li a img {
    width: 100px;
    height: auto;
    margin-left: 10px;
}
#nav-bg {
    position: fixed;
    z-index: -1;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.6);
    opacity: 0;
    transition: opacity .5s;
    pointer-events: none;
}
nav.show {
    opacity: 1;
    transform: translateX(0);
}
nav.show + #nav-bg {
    opacity: 1;
    pointer-events: auto;
}

/* --- MENU DESKTOP --- */

@media screen and (min-width: 900px) {
    header {
        height: 100px;
        background-color: #8A2033;
    }

    header .top{
        display: none;
    }

    nav {
        position: static;
        left: 0px;
        opacity: 1;
        height: 100%;
        width: 100%;
        transform: translateX(0);
    }

    nav ul {
        list-style-type: none;
        display: flex;
        flex-direction: row;
        justify-content: space-around;

    }

    nav ul li {
        padding: 0;
    }

    nav ul :nth-child(1) {
        order: 1;
    }

    nav ul :nth-child(1n+4) {
        order: 2;
    }

    nav#menu ul li a {
        width: 150px;
        height: 100px;
        text-decoration: none;
        text-align: center;
        color: #FFF;
        font-family: Roboto;
        cursor: pointer;
        margin: 0;
        display: flex;
        align-items: center;
    }

    nav ul li a img {
        margin: 0;
    }
}

@media screen and (min-width: 1400px) {
    header nav#menu ul li a {
        font-size: 32px;
    }
}